Bug 1310300 - LXQt application menu keyboard navigation unintuitive in empty "Other" menu
LXQt application menu keyboard navigation unintuitive in empty "Other" menu
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxqt-panel (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 01:37 EST by Pavel Roskin
Modified: 2016-12-20 13:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:52:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2016-02-20 01:37:09 EST
Description of problem:

The "Other" menu in the application menu is empty for me. If I use keyboard navigation on the menu, I can "enter" the "Other" menu with the right arrow, but there is no visual feedback. Up and Down arrows don't work until I use the Left arrow to "leave" the menu, again without any visual feedback.

Version-Release number of selected component (if applicable):

lxqt-panel-0.10.0-4.fc23.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Activate the application menu with the mouse
2. Use keyboard Up and Down arrows to navigate to the Other menu
3. Use the keyboard Right arrow to enter the menu
4. Use Up and Down to select another menu

Actual results:

Steps 3 and 4 produce no visual feedback

Expected results:

Empty menus should not be shown. If they are shown, they should be marked as disabled. Entering the menu with the right arrow should not be possible. Up and Down arrows should select entries above and below the empty menu.

Additional info:

I tried creating other empty menus with menulibre. They are not shown. I was able to hide the Other menu using menulibre, so that's a workaround.
Comment 1 Peter Mattern 2016-07-25 11:01:17 EDT
This is an upstream issue that was already discussed in https://github.com/lxde/lxqt/issues/65, in particular see https://github.com/lxde/lxqt/issues/65#issuecomment-162259496 and following comments.
Comment 2 Pavel Roskin 2016-07-26 17:17:23 EDT
Thank you for finding that discussion! It sounds like the empty menus should never be shown, so their keyboard traversal is a moot issue.
Comment 3 Peter Mattern 2016-07-26 18:05:55 EDT
Yes. The keyboard issue is due to the sub-menu coming up empty which shouldn't happen in the first place.
Comment 4 Fedora End Of Life 2016-11-24 10:39:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:52:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.